### Enumeration

# Ggit CheckoutStrategy

#### Declaration

    flags Ggit.CheckoutStrategy

#### Description

No description available.

#### Members

`GGIT_CHECKOUT_SAFE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`GGIT_CHECKOUT_FORCE`

  No description available.

  - Value: `2`
  - Available since: 1.0
`GGIT_CHECKOUT_RECREATE_MISSING`

  No description available.

  - Value: `4`
  - Available since: 1.0
`GGIT_CHECKOUT_ALLOW_CONFLICTS`

  No description available.

  - Value: `16`
  - Available since: 1.0
`GGIT_CHECKOUT_REMOVE_UNTRACKED`

  No description available.

  - Value: `32`
  - Available since: 1.0
`GGIT_CHECKOUT_REMOVE_IGNORED`

  No description available.

  - Value: `64`
  - Available since: 1.0
`GGIT_CHECKOUT_UPDATE_ONLY`

  No description available.

  - Value: `128`
  - Available since: 1.0
`GGIT_CHECKOUT_DONT_UPDATE_INDEX`

  No description available.

  - Value: `256`
  - Available since: 1.0
`GGIT_CHECKOUT_NO_REFRESH`

  No description available.

  - Value: `512`
  - Available since: 1.0
`GGIT_CHECKOUT_SKIP_UNMERGED`

  No description available.

  - Value: `1024`
  - Available since: 1.0
`GGIT_CHECKOUT_USE_OURS`

  No description available.

  - Value: `2048`
  - Available since: 1.0
`GGIT_CHECKOUT_USE_THEIRS`

  No description available.

  - Value: `4096`
  - Available since: 1.0
`GGIT_CHECKOUT_DISABLE_PATHSPEC_MATCH`

  No description available.

  - Value: `8192`
  - Available since: 1.0
`GGIT_CHECKOUT_SKIP_LOCKED_DIRECTORIES`

  No description available.

  - Value: `262144`
  - Available since: 1.0
`GGIT_CHECKOUT_DONT_OVERWRITE_IGNORED`

  No description available.

  - Value: `524288`
  - Available since: 1.0
`GGIT_CHECKOUT_CONFLICT_STYLE_MERGE`

  No description available.

  - Value: `1048576`
  - Available since: 1.0
`GGIT_CHECKOUT_CONFLICT_STYLE_DIFF3`

  No description available.

  - Value: `2097152`
  - Available since: 1.0
`GGIT_CHECKOUT_DONT_REMOVE_EXISTING`

  No description available.

  - Value: `4194304`
  - Available since: 1.0
`GGIT_CHECKOUT_DONT_WRITE_INDEX`

  No description available.

  - Value: `8388608`
  - Available since: 1.0
`GGIT_CHECKOUT_DRY_RUN`

  No description available.

  - Value: `16777216`
  - Available since: 1.0
`GGIT_CHECKOUT_CONFLICT_STYLE_ZDIFF3`

  No description available.

  - Value: `33554432`
  - Available since: 1.0
`GGIT_CHECKOUT_NONE`

  No description available.

  - Value: `1073741824`
  - Available since: 1.0
`GGIT_CHECKOUT_UPDATE_SUBMODULES`

  No description available.

  - Value: `65536`
  - Available since: 1.0
`GGIT_CHECKOUT_UPDATE_SUBMODULES_IF_CHANGED`

  No description available.

  - Value: `131072`
  - Available since: 1.0